<template>
  <a
    class="has-text-link"
    @click="open"
    >{{ row["code"] }}</a
  >
</template>
<script setup>
import { useStore } from "@/stores/index";
const store = useStore();
const emit = defineEmits(["clickevent"]);
const props = defineProps({
  row: Object,
});
function open() {
  emit("clickevent", {
    name: "dataevent",
    data: {
      modal: {
        title: store.lang === "en" ? "Application" : "Đơn vay",
        height: "500px",
        width: "65%",
        component: "application/ApplicationView",
        vbind: { row: props.row },
      },
    },
  });
}
</script>
